<?php
include "../session.php"; 

if($role!="ADMIN"){
  header("Location:index.php");
  die();
}

include('conect.php');

$fileContacts = $_FILES['fileContacts']; 
$fileContacts = file_get_contents($fileContacts['tmp_name']); 

$signo = $_POST['signoDeSeparacion']; 


$fileContacts = explode("\n", $fileContacts);
$fileContacts = array_filter($fileContacts); 

// preparar contactos (convertirlos en array)
foreach ($fileContacts as $contact) 
{
	$contactList[] = explode($signo, $contact);
}

// insertar contactos
$i=0;
$o=0;

foreach ($contactList as $contactData) 
{

	$nombres=$contactData[1];
	$codigos=$contactData[0];

	$consulta = mysqli_query($con, "SELECT * FROM asociados WHERE CODIGO='$codigos'");
	$conteo   = mysqli_num_rows($consulta);

	if ($conteo>0) {

    	
    	$i++;

    }
    else{
    		$registro=mysqli_query($con, "INSERT INTO asociados (NAME, CODIGO) VALUES('$nombres','$codigos')"); 
    		$o++;

    }	
}


if ($o>0) {
	echo "Se han registrado ".$o." nuevos usuarios<br>";
} else {
	echo "No se han registrado nuevos usuarios<br>";
};

if ($i>0) {
	echo "ya existían registrados ".$i." usuarios";
}
else {
	echo "no se han encontrado usuarios duplicados";
};




?>